[plt-scheme] Unable to install DrScheme 202 on MacOSX system

From: John Clements (clements at brinckerhoff.org)
Date: Sun Dec 8 13:04:27 EST 2002

On Sunday, December 8, 2002, at 12:05  PM, tak kang wrote:

>  For list-related administrative tasks:
>  http://list.cs.brown.edu/mailman/listinfo/plt-scheme
> Hi,
> I installed the MzScheme on my Max OSX 10.2; then found out the 
> DrScheme has more feature.
> When I tried to install DrScheme it complained that there is a newer 
> version installed and refuse to install.
> I deleted the directories installed by the MzScheme as specified in 
> the readme file:
> 	/Library/Frameworks//PLT_MzScheme.framework
> 	/usr/local/plt-202
> And tried to install DrScheme again, but it still complained there is 
> a newer version?
> How can I uninstall MzScheme?

Hmmm, interesting.  A few questions for you:

1) both of the directories that you mentioned were there, and you 
successfully removed them both?
2) Can you quote the exact text of the complaint that you mention above?
3) What version of MzScheme had you installed?
4) Could this be a problem which is solved by emptying the trash?

I suspect that this is a problem with the installer; either the 
language of the package maker is not rich enough to express the 
subsumption of MzScheme by DrScheme, or we haven't expressed it right, 
or you have a newer version of MzScheme.

As an aside, I suspect this will be a moot point with the release of 
version 203, which will be out soon.

Let us know if this helps,

john clements

Posted on the users mailing list.